Submit a risk classification for an LLM gateway
curl --request POST \
--url https://api.dev.swarmd.ai/registry/v1/llm-gateways/{llmGatewayId}/governance/classifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": {
"intendedPurpose": "<string>",
"assertedOutOfScope": true,
"prohibitedPractices": [],
"annexISafetyComponent": true,
"annex3Categories": [],
"derogationConditions": [],
"profilesNaturalPersons": true,
"transparencyObligations": []
},
"rationale": "<string>",
"placedOnMarketAt": "2023-12-25"
}
'import requests
url = "https://api.dev.swarmd.ai/registry/v1/llm-gateways/{llmGatewayId}/governance/classifications"
payload = {
"answers": {
"intendedPurpose": "<string>",
"assertedOutOfScope": True,
"prohibitedPractices": [],
"annexISafetyComponent": True,
"annex3Categories": [],
"derogationConditions": [],
"profilesNaturalPersons": True,
"transparencyObligations": []
},
"rationale": "<string>",
"placedOnMarketAt": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
answers: {
intendedPurpose: '<string>',
assertedOutOfScope: true,
prohibitedPractices: [],
annexISafetyComponent: true,
annex3Categories: [],
derogationConditions: [],
profilesNaturalPersons: true,
transparencyObligations: []
},
rationale: '<string>',
placedOnMarketAt: '2023-12-25'
})
};
fetch('https://api.dev.swarmd.ai/registry/v1/llm-gateways/{llmGatewayId}/governance/classifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"classificationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "AGENT",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 123,
"operatorRole": "PROVIDER",
"derivedTier": "UNCLASSIFIED",
"riskTier": "UNCLASSIFIED",
"legalBasis": [
"<string>"
],
"answers": {
"operatorRole": "PROVIDER",
"intendedPurpose": "<string>",
"assertedOutOfScope": true,
"prohibitedPractices": [
"SUBLIMINAL_OR_MANIPULATIVE_TECHNIQUES"
],
"annexISafetyComponent": true,
"annex3Categories": [
"BIOMETRIC_REMOTE_IDENTIFICATION"
],
"derogationConditions": [
"NARROW_PROCEDURAL_TASK"
],
"profilesNaturalPersons": true,
"transparencyObligations": [
"INTERACTS_WITH_NATURAL_PERSONS"
]
},
"rationale": "<string>",
"assessedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvedAt": "2023-11-07T05:31:56Z",
"approvalPending": true,
"effectiveAt": "2023-11-07T05:31:56Z",
"reviewDueAt": "2023-11-07T05:31:56Z",
"placedOnMarketAt": "2023-12-25",
"supersedesSeq": 123,
"createdAt": "2023-11-07T05:31:56Z"
}Governance
Submit a risk classification for an LLM gateway
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | LLM_GATEWAY | WRITE | LLM_GATEWAY:WRITE |
POST
/
registry
/
v1
/
llm-gateways
/
{llmGatewayId}
/
governance
/
classifications
Submit a risk classification for an LLM gateway
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Body
application/json
Response
201 - */*
Created
Available options:
AGENT, MCP_SERVER, LLM_GATEWAY Available options:
PROVIDER, DEPLOYER, BOTH Available options:
UNCLASSIFIED, OUT_OF_SCOPE, MINIMAL, LIMITED, HIGH_RISK_EXEMPT, HIGH_RISK, PROHIBITED Available options:
UNCLASSIFIED, OUT_OF_SCOPE, MINIMAL, LIMITED, HIGH_RISK_EXEMPT, HIGH_RISK, PROHIBITED Show child attributes
Show child attributes
